:tocdepth: 2

API
===

pathspec
--------

.. automodule:: pathspec


pathspec.pathspec
-----------------

.. automodule:: pathspec.pathspec

	.. autoclass:: PathSpec
		:members:
		:show-inheritance:
		:special-members: __init__, __eq__, __len__


pathspec.gitignore
------------------

.. automodule:: pathspec.gitignore

	.. autoclass:: GitIgnoreSpec
		:members:
		:show-inheritance:
		:special-members: __init__, __eq__


pathspec.pattern
----------------

.. automodule:: pathspec.pattern

	.. autoclass:: Pattern
		:members:
		:show-inheritance:
		:special-members: __init__

	.. autoclass:: RegexPattern
		:members:
		:show-inheritance:
		:special-members: __init__, __eq__

	.. autoclass:: RegexMatchResult
		:members:
		:show-inheritance:
		:special-members: __init__


pathspec.patterns.gitwildmatch
------------------------------

.. automodule:: pathspec.patterns.gitwildmatch

	.. autoclass:: GitWildMatchPattern
		:members:
		:inherited-members:
		:show-inheritance:


pathspec.util
-------------

.. automodule:: pathspec.util
	:members:
	:show-inheritance:
